It's never too early to think about your long-term goals. The Kingdom of Aden is in chaos, because they are at war with Elmore to the north and Gracia across the sea, Remember, there are always opportunities during times of chaos. Now you are merely a novice Fighter, but if you train hard and learn much, there is nothing to stop you from becoming a Lord or a King
You must begin by familiarizing yourself with the gear you already have. Whether you seek to become a dragon slayer or the Lord of a castle, or even a force for world peace, it all begins with your training here.
Start out by hunting keltirs or wolves around the village. When you find an item left behind by a monster you slay, try equipping the armor or weapon, and see if it's better than what you already have. If you have no other use for it, you can always sell it at the shop.
Return